Page MenuHomePhabricator

Experimenting with new forms of editing
Open, NormalPublic

Description

A session was run where we brainstormed ideas around finding new ways to edit our projects.
Result: https://etherpad.wikimedia.org/p/New_Ideas_for_Editing

The plan is to try to build many of these things during the Lyon hackathon.

Next steps:

  1. Let's aim to build some of these things during the next hackathon.
  2. I am going to get a "Lyon hackathon ideas" project (see T87610) for us [DONE]
  3. Please help me create tasks from the etherpad under https://phabricator.wikimedia.org/project/board/1018/ (Wikimedia-Hackathon-2015) - please add urls to the ideas you have ported so we can collaborately port them all on to phabricator.
  4. Let's identify blocking bugs and let's find ways to make a lot of these ideas actionable for the hackathon
  5. Let's build these things as user gadgets/prototypes/apps/plugins in Lyon
  6. Profit.

Event Timeline

Jdlrobson created this task.Jan 8 2015, 4:44 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Backlog to Session ideas on the MediaWiki-Developer-Summit-2015 board.
Jdlrobson added a subscriber: Jdlrobson.
Qgil triaged this task as Normal priority.Jan 12 2015, 7:58 PM
Jdlrobson renamed this task from [Suggestion] Microtask mini-hack brainstorming to Experimenting with new forms of editing.Jan 13 2015, 9:59 PM
Jdlrobson set Security to None.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Qgil added a subscriber: Qgil.Jan 14 2015, 10:30 AM

Please confirm whether you want to run this session at MediaWiki-Developer-Summit-2015 by placing this task in the most appropriate column at the workboard and scheduling it at https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule

Jdlrobson updated the task description. (Show Details)Jan 26 2015, 5:00 AM
Jdlrobson added subscribers: GWicke, Maryana.
awight added a subscriber: awight.Jan 26 2015, 7:58 PM
Quiddity updated the task description. (Show Details)Jan 26 2015, 9:03 PM
Quiddity added a subscriber: Quiddity.

Many thanks to all those that participated today. It was a very energetic discussion and I was really happy at the high level of participation!
A huge amount of ideas were generated in this etherpad: http://etherpad.wikimedia.org/p/New_Ideas_for_Editing

Next steps:

  1. Let's aim to build some of these things during the next hackathon.
  2. I am going to get a "Lyon hackathon ideas" project (see T87610) for us
  3. Let's create tasks for all the ideas in the etherpad under this project
  4. Let's identify blocking bugs and let's find ways to make a lot of these ideas actionable for the hackathon
  5. Let's build these things as user gadgets/prototypes/apps/plugins in Lyon
  6. Profit.
Ejegg added a subscriber: Ejegg.Jan 26 2015, 9:23 PM
Jdlrobson updated the task description. (Show Details)Jan 26 2015, 9:30 PM
Jdlrobson updated the task description. (Show Details)
Qgil added a comment.Jan 27 2015, 6:55 AM

Please update the description with the achievements of this session. Thank you in advance.

Already done ;)

Please help me create tasks from the etherpad under https://phabricator.wikimedia.org/project/board/1018/ (Wikimedia-Hackathon-2015) - please add urls to the ideas you have ported so we can collaborately port them all on to phabricator.

Jdlrobson updated the task description. (Show Details)Jan 27 2015, 9:45 PM

Please help me create tasks from the etherpad under https://phabricator.wikimedia.org/project/board/1018/ (Wikimedia-Hackathon-2015) - please add urls to the ideas you have ported so we can collaborately port them all on to phabricator.

I've done some more.

Thanks @MattFlaschen really appreciate this.
I see the Lyon workboard has grown since this started so I guess this will become more blurry.

(Associating this task with #Editing only not to make it depend only on the Hackathon project; feel free to change / add projects.)

Qgil closed this task as Resolved.Apr 30 2015, 10:41 AM
Qgil claimed this task.

Was this resolved because it was declined? If so why?

Regardless, given that after the re-org there is a new editing team I was thinking it wouldn't be wise to run this session in Lyon unless @TrevorParscal thinks we should - I'd hate to step on toes.

I'm planning to focus more on reader features.

Qgil reopened this task as Open.May 22 2015, 4:20 AM

Ooops, sorry. I closed it accidentally in a batch edit of multiple tasks related to MediaWiki-Developer-Summit-2015 sessions. I didn't realize that it was meant to remain open for future events.

Qgil removed Qgil as the assignee of this task.May 22 2015, 4:21 AM
Qgil added a comment.Jun 2 2015, 8:41 AM

Did anyone work on this task during Wikimedia-Hackathon-2015? If so, please post an update with the results. Otherwise remove the label.

Qgil added a comment.Jul 3 2015, 10:26 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

Qgil added a comment.Jul 7 2015, 1:54 PM

Any takers for Wikimania?

If there are no takers, then I'm not sure what should we do with this task, just remove the Wikimania Hackathon tag or decline the task altogether after two missed hackathons.

If someone wants to work on this at a hackathon, more likely they'll choose a more specific aspect of the problem. Many are listed with Phabricator tasks at https://etherpad.wikimedia.org/p/New_Ideas_for_Editing .

cscott added a subscriber: cscott.Sep 18 2015, 8:06 PM